Create a new identity in your Blnk Core instance via the Cloud Proxy.
curl -X POST "https://api.cloud.blnkfinance.com/proxy/identities?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"first_name": "John",
"last_name": "Doe",
"email_address": "john.doe@example.com",
"phone_number": "+1234567890",
"nationality": "US",
"gender": "male",
"dob": "1990-01-01",
"street": "123 Main St",
"city": "New York",
"state": "NY",
"post_code": "10001",
"country": "US",
"category": "individual",
"identity_type": "customer",
"meta_data": {
"myApp": {
"segment": "premium",
"kyc_status": "verified"
}
}
}'
{
"identity_id": "idt_3b63c8da-af29-4cc3-ad38-df17d87456e6",
"first_name": "John",
"last_name": "Doe",
"other_names": "",
"email_address": "john.doe@example.com",
"phone_number": "+1234567890",
"nationality": "US",
"gender": "male",
"dob": "1990-01-01",
"street": "123 Main St",
"city": "New York",
"state": "NY",
"post_code": "10001",
"country": "US",
"organization_name": "",
"category": "individual",
"identity_type": "customer",
"created_at": "2024-11-26T08:36:36.238244338Z",
"meta_data": {
"myApp": {
"segment": "premium",
"kyc_status": "verified"
}
}
}
Create a new identity record (for example, a customer or vendor) in your Blnk Core instance.Documentation Index
Fetch the complete documentation index at: https://guide.cloud.blnkfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST "https://api.cloud.blnkfinance.com/proxy/identities?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"first_name": "John",
"last_name": "Doe",
"email_address": "john.doe@example.com",
"phone_number": "+1234567890",
"nationality": "US",
"gender": "male",
"dob": "1990-01-01",
"street": "123 Main St",
"city": "New York",
"state": "NY",
"post_code": "10001",
"country": "US",
"category": "individual",
"identity_type": "customer",
"meta_data": {
"myApp": {
"segment": "premium",
"kyc_status": "verified"
}
}
}'
Bearer <access_token>. Your OAuth key must include proxy:write scope (or *).US).male).YYYY-MM-DD format.US).individual or organization).customer or vendor).{
"identity_id": "idt_3b63c8da-af29-4cc3-ad38-df17d87456e6",
"first_name": "John",
"last_name": "Doe",
"other_names": "",
"email_address": "john.doe@example.com",
"phone_number": "+1234567890",
"nationality": "US",
"gender": "male",
"dob": "1990-01-01",
"street": "123 Main St",
"city": "New York",
"state": "NY",
"post_code": "10001",
"country": "US",
"organization_name": "",
"category": "individual",
"identity_type": "customer",
"created_at": "2024-11-26T08:36:36.238244338Z",
"meta_data": {
"myApp": {
"segment": "premium",
"kyc_status": "verified"
}
}
}
curl -X POST "https://api.cloud.blnkfinance.com/proxy/identities?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"first_name": "John",
"last_name": "Doe",
"email_address": "john.doe@example.com",
"phone_number": "+1234567890",
"nationality": "US",
"gender": "male",
"dob": "1990-01-01",
"street": "123 Main St",
"city": "New York",
"state": "NY",
"post_code": "10001",
"country": "US",
"category": "individual",
"identity_type": "customer",
"meta_data": {
"myApp": {
"segment": "premium",
"kyc_status": "verified"
}
}
}'
{
"identity_id": "idt_3b63c8da-af29-4cc3-ad38-df17d87456e6",
"first_name": "John",
"last_name": "Doe",
"other_names": "",
"email_address": "john.doe@example.com",
"phone_number": "+1234567890",
"nationality": "US",
"gender": "male",
"dob": "1990-01-01",
"street": "123 Main St",
"city": "New York",
"state": "NY",
"post_code": "10001",
"country": "US",
"organization_name": "",
"category": "individual",
"identity_type": "customer",
"created_at": "2024-11-26T08:36:36.238244338Z",
"meta_data": {
"myApp": {
"segment": "premium",
"kyc_status": "verified"
}
}
}